"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = require("react");

var _reactNative = require("react-native");

var _asyncStorage = _interopRequireDefault(require("@react-native-async-storage/async-storage"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const useDevSettings = items => {
  const [loading, setLoading] = (0, _react.useState)(__DEV__);
  const [values, setValues] = (0, _react.useState)([]);
  (0, _react.useEffect)(() => {
    const keys = [];
    let res = '';
    let itemsResult = [];

    if (__DEV__) {
      items === null || items === void 0 ? void 0 : items.map(item => {
        item.action === undefined && keys.push(`@debug/${item.name.toLowerCase()}`);
      });

      _asyncStorage.default.multiGet(keys).then(result => {
        result.forEach(_ref => {
          var _res;

          let [key, value] = _ref;
          const parsedValue = Boolean(JSON.parse(value || 'false'));
          res = keys.find(item => key === item.toLowerCase());
          itemsResult.push({
            name: (_res = res) === null || _res === void 0 ? void 0 : _res.toLowerCase().slice(7),
            enabled: parsedValue
          });
        });
        setValues([...values, ...itemsResult]);
      });
    }

    setLoading(false);
  }, [!items]);
  (0, _react.useEffect)(() => {
    if (!loading && __DEV__ && !!values) {
      items === null || items === void 0 ? void 0 : items.map(item => {
        var _values$find;

        let itemIsEnabled = (_values$find = values.find(value => (value === null || value === void 0 ? void 0 : value.name) === item.name.toLowerCase())) === null || _values$find === void 0 ? void 0 : _values$find.enabled;
        item.action === undefined ? _reactNative.DevSettings.addMenuItem(`Toggle ${item.name}`, () => {
          _asyncStorage.default.setItem(`@debug/${item.name.toLowerCase()}`, JSON.stringify(!itemIsEnabled));

          _reactNative.DevSettings.reload();
        }) : _reactNative.DevSettings.addMenuItem(`${item.name}`, () => {
          item.action && item.action();

          _reactNative.DevSettings.reload();
        });
      });
    }
  }, [loading, !items, values]);
  const state = {};

  for (let i = 0; i < values.length; i++) {
    if (values.length !== 0) {
      state[getKeyTransformed(values[i].name)] = values[i].enabled;
    }
  }

  return {
    loading,
    state
  };
};

const selectTheFirstLetter = /(^\w{1})|(\s+\w{1})/g;

const getKeyTransformed = key => {
  let transformedKey = key.replace(selectTheFirstLetter, letter => letter.toUpperCase().replace(" ", ""));
  return `use${transformedKey}`;
};

var _default = useDevSettings;
exports.default = _default;
//# sourceMappingURL=useDevSettings.js.map